Name:           metromap
Version:        0.1.3
Release:        1%{?dist}
Summary:        Simple program for finding paths in subway/metro maps

Group:          Applications/Internet
License:        GPL+
URL:            http://metromap.antex.ru/
Source0:        http://metromap.antex.ru/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       pygtk2
Requires:       hicolor-icon-theme


%description
A simple pygtk+2 application for finding paths in metro (subway)
maps. Maps for Moscow, St. Petersburg, Kiev, London, and Berlin
are included. Others can be downloaded.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' modules/{FindPath.py,MapDisplay.py,Interface.py,ReadMap.py}
# Convert to utf-8
for file in metromap.desktop; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}%{_prefix} INSTALL="install -p"
desktop-file-install                                    \
    --delete-original                                   \
    --remove-category="Gtk;Office;"                     \
    --remove-category="GTK;"                            \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/AUTHORS doc/COPYING doc/NEWS doc/READ* doc/TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/


%changelog
* Thu Nov 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.3-1
- Updated spec file to reflect upstream changes
- Updated to new upstream version 0.1.3

* Fri Aug 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-7
- Rebuild (pygtk2)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.2-5
- recompiling .py files against Python 2.7 (rhbz#623336)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 07 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-3
- Added russian translation to .desktop file

* Sat Mar 07 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-2
- Fixed Source URL
- Fixed License

* Sat Jan 30 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- Initial package for Fedora

